repo/gentoo:master commit in: dev-libs/libgit2/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786681274.599187203d66941263c2e3451f3a0cf82c4ac4b4.mgorny@gentoo> |
commit: 599187203d66941263c2e3451f3a0cf82c4ac4b4
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 03:48:21 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 04:21:14 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59918720
dev-libs/libgit2: Bump to 1.9.7
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-libs/libgit2/Manifest | 1 +
dev-libs/libgit2/libgit2-1.9.7.ebuild | 79 +++++++++++++++++++++++++++++++++++
2 files changed, 80 insertions(+)
diff --git a/dev-libs/libgit2/Manifest b/dev-libs/libgit2/Manifest
index 22d879942e92..9403d1422bf2 100644
--- a/dev-libs/libgit2/Manifest
+++ b/dev-libs/libgit2/Manifest
@@ -1,2 +1,3 @@
DIST libgit2-1.9.2.tar.gz 7667818 BLAKE2B 6e5be4aee7ebe959a23ec24952eaff3ad66bbc740e0fd3ef66bc61b57c3228b71ad9b01808494782a90d362692d2cfabbfc24946543bbc109ec66df9c03cf26d SHA512 b9ac2d0a7cc92a31057fbf066e47145cdda89ebf0489d712d4452c709c3de9923a93a3c37128fdcfd8fbb5498f513a519a7f2a77ad6ef4efafe865323d481f18
DIST libgit2-1.9.6.tar.gz 7769080 BLAKE2B afc35451dd17e2a4c0aed862cbca736529533f3036eb1a395147b04fa26176dfa7d00b18eaf8bec4bfccffdea1853b45de42426a0052c15cd0372ee276434b51 SHA512 33a4bede42b602d968fd3d2d7e2863e7f64cd23ca147cb2327843afa9a6aa6008c2a8de876ea15813ddcbd247ae8ab23e6528c624554d706ededc0ca20878446
+DIST libgit2-1.9.7.tar.gz 7769162 BLAKE2B 37b8a9ee8da6cb54df2d8b7209d813572cb5afaa6796cee80424f0fbe30c10bae0a4400c18bdda37aae109b473c2541e0be66899b58fbbc4674d275f23f6af68 SHA512 96924a4fd87669ad91d40669946cd249b646f3ce85380fc12b553b6c20338ff3c1df5faa6f168b2ca12ed20c8309116a05021f9710ee7ff61e5b8a249172b0ba
diff --git a/dev-libs/libgit2/libgit2-1.9.7.ebuild b/dev-libs/libgit2/libgit2-1.9.7.ebuild
new file mode 100644
index 000000000000..5d007d39cd7c
--- /dev/null
+++ b/dev-libs/libgit2/libgit2-1.9.7.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit cmake flag-o-matic python-any-r1
+
+DESCRIPTION="A linkable library for Git"
+HOMEPAGE="https://libgit2.org/"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+"
+S=${WORKDIR}/${P/_/-}
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples gssapi +ssh test trace"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-libs/libpcre2:=
+ net-libs/llhttp:=
+ virtual/zlib:=
+ dev-libs/openssl:0=
+ gssapi? ( virtual/krb5 )
+ ssh? ( net-libs/libssh2 )
+"
+DEPEND="
+ ${RDEPEND}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ cmake_src_prepare
+
+ # https://bugs.gentoo.org/948941
+ sed -i -e 's:-Werror::' tests/headertest/CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TESTS=$(usex test)
+ -DUSE_SSH=$(usex ssh libssh2 OFF)
+ -DUSE_GSSAPI=$(usex gssapi ON OFF)
+ -DUSE_HTTP_PARSER=llhttp
+ -DREGEX_BACKEND=pcre2
+ )
+ # https://bugs.gentoo.org/925207
+ append-lfs-flags
+ cmake_src_configure
+}
+
+src_test() {
+ if [[ ${EUID} -eq 0 ]] ; then
+ # repo::iterator::fs_preserves_error fails if run as root
+ # since root can still access dirs with 0000 perms
+ ewarn "Skipping tests: non-root privileges are required for all tests to pass"
+ else
+ local TEST_VERBOSE=1
+ cmake_src_test -R offline
+ fi
+}
+
+src_install() {
+ cmake_src_install
+ dodoc docs/*.{md,txt}
+
+ if use examples ; then
+ find examples -name '.gitignore' -delete || die
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}